adduser (3.115.15+dilos8) unstable; urgency=medium

  * build for dilos

 -- DilOS Team <dilos@dilos.org>  Wed, 30 Jun 2021 10:42:09 +0300

adduser (3.115.15+dilos6) unstable; urgency=medium

  * build for dilos

 -- Igor Kozhukhov <igor@dilos.org>  Fri, 03 Mar 2017 18:53:42 +0300

adduser (3.115) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Adopt package (Closes: #811411)
  * Set Vcs-* fields to point to Git repository
  * Bump Standards-Version to 3.9.8
  * Extend last_{u,g}id to 59999 to match policy update from 3.9.0
    (Closes: #776203)
  * Note to work on the lintian error for debconf template.
  * Fix path to rpcinfo, used for NIS support.
    (Thanks to Nis Martensen for report and patch).
  * Update Vietnamese translations (Closes: #825610)
    Thanks to all translators for providing updates

  [ Helge Kreutzmann ]
  * Debconf:
      * Update Turkish translation. Closes: #676356.
      * Fix language field in Norwegian translation. Closes: #695997.
  * Program (translation):
      * Use "--previous" when generating the updated po files.
      * Mention "--add_extra_groups" in --help output. Closes: #547911.
      * Update Japanese translation. Closes: #697109.
      * Update Czech translation. Closes: #825734.
      * Update Slovak translation. Closes: #825770.
      * Updated Danish translation. Closes: #825778.
      * Update Portuguese translation. Closes: #825867.
      * Update Russian translation. Closes: #825876.
      * Update Japanese translation. Closes: #825973.
      * Update Swedish translation. Closes: #826947.
      * Update Brazilian Portuguese translation. Closes: #826965.
      * Update Italian translation. Closes: #827011.
      * Update French translation. Closes: #827140.
      * Update Hungarian translation.
      * Update Polish translation.
      * Update Basque translation.
      * Update Norwegian translation.
  * Manpage:
      * Improve pointer to customization files. Closes: #611898.
      * Improve pointer to NAME_REGEX. Closes: #508740.
      * Document --only-if-empty in delgroup.8. Closes: #722583.
      * Format SEE ALSO section correctly in all man pages.
      * Various formatting and minor language updates noted by the German
        translator(s).
      * Fixes in the German translation. Closes: #685529, #698483.
      * Update Portuguese translation. Closes: #756180, #825867.
      * Update Danish translation. Closes: #825777.
      * Update Russian translation. Closes: #825944.
      * Update Italian translation. Closes: #827012.
      * Update Polish translation.
      * Update French translation.
      * Update German translation.
  * Update example from John Zaitseff <J.Zaitseff@zap.org.au> to version 4.9.
        Thanks. Closes: #712944.
  * Fix issues found by i18nspector.
  * Add correct pot file
  * Trivial unfuzzy
  * Fix various errors found by translators (and unfuzzy translations)
  * Fix build error

 -- Afif Elghraoui <afif@debian.org>  Sun, 26 Jun 2016 14:32:23 -0700

adduser (3.114) unstable; urgency=medium

  * QA upload.
  * Set the maintainer to Debian QA Team and remove the
    Uploaders field.
  * Drop unnecessary versxioned relations to other packages.
  * install-manpages.pl: Pass "-n" to gzip to omit timestamps
    from the compressed files.
  * install-manpages.pl: Create directories as needed.
  * Rewrite debian/rules to use debhelper 9.
  * Apply patch from Antonio Terceiro to add autopkgtests.
  * Suggest perl instead of perl-modules.
  * Set the source format to 3.0 (native).
  * Drop irrelevant lintian overrides.
  * Drop part of the postrm, which is now inserted by debhelper.
  * Drop dependencies that debhelper inserts via ${misc:Depends}.

 -- Niels Thykier <niels@thykier.net>  Sat, 12 Mar 2016 15:53:58 +0000

adduser (3.113+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix translated manpages. Closes: #670579
  * Restore Portuguese manpages translations from 3.112+nmu2.
  * New Danish manpages translation (Joe Hansen). Closes: #672576

 -- David Prévot <taffit@debian.org>  Tue, 15 May 2012 16:46:45 -0400

adduser (3.113+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Support multi-arch: (closes: #672886)
    - Mark adduser as foreign.

 -- Bastian Blank <waldi@debian.org>  Mon, 14 May 2012 13:47:27 +0000

adduser (3.113+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-add missing translations in po/ and doc/po4a/po
    Closes: #651114, #645951
  * Manpages translations:
    - Spanish. Closes: #636240
  * Fix pending l10n issues. Debconf translations:
    - Serbian (Zlatan Todoric).  Closes: #634980
    - Serbian Latin (Zlatan Todoric).  Closes: #634982

 -- Christian Perrier <bubulle@debian.org>  Sat, 21 Jan 2012 09:00:03 +0100

adduser (3.113) unstable; urgency=low

  * Warning to STDERR (closes: #561864)
  * Use unlink on symlinks (closes: #609156)
  * Keep test from complaining (closes: #613009)
  * Use db_settitle instead of db_title (closes: #560313)
  * Add newline to deluser output (closes: #592629)
  * Don't go wrong if user or group is 0, although, please, stop that
    (closes: #617480)
  * Add afs to EXCLUDE_FSTYPES by default (closes: #630340)

 -- Stephen Gran <sgran@debian.org>  Mon, 13 Jun 2011 08:15:58 +0100

adduser (3.112+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen). Closes: #599836
    - Catalan (Jordi Mallach). Closes: #601099
    - Polish (Robert Luberda). Closes: #602344
  * Manpages translations:
    - French (David Prévot). Closes: #601453
    - Polish (Robert Luberda).
    - Russian (Yuri Kozlov). Closes: #602234
    - Portuguese (Américo Monteiro).  Closes: #602356
    - Swedish (Martin Bagge). Closes: #603297
    - Spanish (Omar Campagne). Closes: #603557
    - German (Martin Eberhard Schauer). Closes: #603758
    - Slovak: file moved to po/
  * Programs translations:
    - Dutch (Remco Rijnders). Closes: #603825
    - Catalan (Jordi Mallach).
    - Danish (Joe Hansen). Closes: #602255, #603523
    - Russian (Yuri Kozlov).
    - Simplified Chinese (Aron Xu). Closes: #602269
    - Czech (Miroslav Kure). Closes: #602294
    - Polish (Robert Luberda). Closes: #602344
    - Slovak (Ivan Masár). Closes: #602461
    - Japanese (Kenshi Muto). Closes: #602514
    - Portuguese (Américo Monteiro).  Closes: #602650
    - Vietnamese (Clytie Siddall). Closes: #602688
    - Swedish (Martin Bagge). Closes: #602801
    - German (Tobias Quathamer). Closes: #602805
    - Bokmål, Norwegian (Hans Fredrik Nordhaug).
    - Italian (Luca Monducci). Closes: #602969
    - Spanish (Javier Fernández-Sanguino). Closes: #603121
    - Basque (Iñaki Larrañaga Murgoitio). Closes: #603266
    - French (Jean-Baka Domelevo Entfellner). Closes: #603546
    - Brazilian Portuguese (Adriano Rafael Gomes). Closes: #603622
  * Update po4a.conf and debian/rules for Portuguese and German
    manual pages translations. Closes: #599695
  * Handle translated manpages in UTF-8.
  * Update adduser.pot. Closes: #602547

 -- David Prévot <david@tilapin.org>  Sun, 21 Nov 2010 17:13:00 -0400

adduser (3.112+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Programs translations:
    - Bokmål, Norwegian (Hans Fredrik Nordhaug). Closes: #595297
    - French (Jean-Baka Domelevo Entfellner). Closes: #571406
    - Portuguese (Américo Monteiro).  Closes: #577994
    - Spanish (Javier Fernández-Sanguino).  Closes: #592185
  * Manpages translations:
    - Portuguese (Américo Monteiro).  Closes: #582322

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Sep 2010 10:23:47 +0200

adduser (3.112) unstable; urgency=low

  * deluser: --backup-to implies --backup, but only if passed on the command
    line (addresses: #535857) (closes: #551929)
  * deluser: explicitly set $PATH, patch from Martin Pitt
    <martin.pitt@ubuntu.com> (closes: #555307)
  * Translations:
    - ru: thanks Yuri Kozlov <yuray@komyakino.ru> (closes: #559661)

 -- Stephen Gran <sgran@debian.org>  Sat, 19 Dec 2009 11:03:31 +0000

adduser (3.111) unstable; urgency=low

  [ Joerg Hoh ]
  * deluser: --backup-to implies --backup; thanks Zak Wilcox (closes: #535857) 
  * deluser: sockets should also be backupped and removed (closes: #545024),
    thanks Christian Sievers for spotting.
  * allow underscores again in usernames (closes: #520586)
  * remove the "games" group from the EXTRA_GROUPS example (closes: #502150)
  * really warn if a user is already present when creating a new system user
    (closes: 515909)
  * document the interaction between --system and --close (closes: #515909) 

  [ Stephen Gran ]
  * Update po4a calls
  * Translations:
    - fr (thanks Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
      closes: #545475)
    - sv (thanks Daniel Nylander <yeager@ubuntu.com> closes: #517505)
    - zh_CN (thanks Aron Xu <happyaron.xu@gmail.com> closes: #544504)
  * update standards version - no changes

 -- Stephen Gran <sgran@debian.org>  Sun, 20 Sep 2009 22:09:53 +0100

adduser (3.110) unstable; urgency=low

  * New tranlations:
    - fr (thanks Nicolas François <nicolas.francois@centraliens.net>)
      (closes: #478087, #478089)
    - it (Luca Monducci <luca.mo@tiscali.it>) (closes: #493958)
    - ro (thanks Eddy Petrișor <eddy.petrisor@gmail.com>) (closes: #488730)
    - ru (thanks Yuri Kozlov <kozlov.y@gmail.com>) (closes: #493609)

 -- Stephen Gran <sgran@debian.org>  Sun, 10 Aug 2008 22:31:28 +0100

adduser (3.109) unstable; urgency=low

  [ Joerg Hoh ]
  * fix adduser manpage (closes: #488977), thanks Aleksi Suhonen
  * New translations:
    - es (thanks Javier Fernández-Sanguino Peña <jfs@computer.org>)
        (Closes: #492429, #489041)

  [ Stephen Gran ]
  * Add Joerg to uploaders and remove Marc - thanks for your work
  * Update Standards-Version to 3.8.0 - no changes

 -- Stephen Gran <sgran@debian.org>  Mon, 04 Aug 2008 00:11:17 +0100

adduser (3.108) unstable; urgency=low

  [ Joerg Hoh ]
  * also ignore ".dpkg-save" files when populating the new homedir initially.
    (Closes: #452864)
  * deluser: fix order of arguments to tar. Thanks to Otto Visser.
    (Closes: #481352)

  [ Stephen Gran ]
  * Use $ENV{PERL_DL_NONLAZY}=1 in eval of module loading to catch XS module
    ABI mismatches
  * Get rid of two infinite loops (closes: #417291).  Incidentally, this
    (closes: #405905) by changing to assume yes to avoid going around the loop
    again.
  * Add group games to the default list for EXTRA_GROUPS (closes: #435642)
  * New translations:
    - fr (thanks Nicolas François <nicolas.francois@centraliens.net>)
       (closes: #478089, #478087)
    - hy (thanks Vardan Gevorgyan <vgevorgyan@debian.am>)(closes: #475147)
    - ru (thanks Yuri Kozlov <kozlov.y@gmail.com>)(closes: #473286)
    - sv (thanks Martin Bagge <martin.bagge@bthstudent.se>)(closes: #483436)

 -- Stephen Gran <sgran@debian.org>  Wed, 04 Jun 2008 01:22:55 +0100

adduser (3.107) unstable; urgency=low

  [ Joerg Hoh ]
  * deluser: fix really annoying message about removing root account when removing
    just a simple user. (Closes: #469165, #470464, #470847, #471705, #472349)

  [ Stephen Gran ]
  * Translations:
    - eu (thanks Piarres Beobide <pi@beobide.net>)(closes: #471903)

 -- Stephen Gran <sgran@debian.org>  Thu, 27 Mar 2008 20:43:30 +0000

adduser (3.106) unstable; urgency=low

  [ Joerg Hoh ]
  * adduser exits with returncode 1 if trying to add an already existing user
    as system user. Thanks to Vincent Bernat; Closes: #435778
  * deluser: warn if you want to remove the root account. Closes: #145430
  * deluser: fix backup when bzip2 is not available. Closes: #453419
  * deluser: print correct warning when you removed the last user in a group;
    thanks Marc 'Zugschlus' Haber and Peter Eisentraut 
    (Closes: #454928,#451967)

  [ Stephen Gran ]
  * Translation:
    be (thanks Pavel Piatruk <berserker@neolocation.com>)( closes: #447104)
    fr (thanks Nicolas François <nicolas.francois@centraliens.net>)
    (closes: #442203)
    ru (thanks Yuri Kozlov <kozlov.y@gmail.com>)(closes: #452289, #452290)
    sk (thanks Ivan Masár <helix84@centrum.sk>)(closes: #439212)
    zh_CN (thanks LI Daobing <lidaobing@gmail.com>)(closes: #447868)
  * Clarify --in-group documentation (closes: #468152)
  * deluser: Let tar gzip/bzip backups directly (closes: #451321)
  * Update Standards Version (no changes)
  * Homepage, Vcs-Svn and Vcs-Browser fields added
  * Do nothing in binary-arch

 -- Stephen Gran <sgran@debian.org>  Sun, 02 Mar 2008 16:57:21 +0000

adduser (3.105) unstable; urgency=low

  [ Joerg Hoh ]
  * fix incorrect message when trying an already existing user as system user.
    Thanks to Vincent Bernat for spotting. Closes: #435777
  * fix non-working --disabled-password, when using --system.
    Thanks to Ray Miller for the patch. Closes: #433639
  * adjust EXTRA_GROUPS to have the same values as debian-installer for the
    first user, removing "src" and "lp". Thanks Trent W. Buck. Closes: #432710
  * fixed error message when home directory already exists.
    Thanks Justin Pryzby, Closes: #438801
  * fixed name for "#" (pound -> hash), thanks to Malcolm Parsons.
    Closes: #440236

  [ Stephen Gran ]
  * Translations:
    - add sk (thanks Ivan Masár <helix84@centrum.sk>) (closes: #439212)
    - update de (thanks Helge Kreutzmann <debian@helgefjell.de>)
      (closes: #433089)
    - update fi (thanks Sami Kallio <xaicawa@yahoo.com>)
      (closes: #433182)
    - update fr, doc/po4a/po/fr, and po4a.conf
      ( thanks Nicolas François" <nicolas.francois@centraliens.net>,
        and Christian Perrier <bubulle@debian.org>)
      (closes: #435883, #432639, #433063, #435886)
    - update nb (thanks Hans Fredrik Nordhaug <hans@nordhaug.priv.no>)
      (closes: #433043)
    - update nl (thanks Thijs Kinkhorst <thijs@debian.org>) (closes: #433298)
    - update pt (thanks Miguel Figueiredo <elmig@debianpt.org>)
      (closes: #433147)
    - update pt_BR (thanks Eder L. Marques <frolic@debian-ce.org>)
      (closes: #433634)

 -- Stephen Gran <sgran@debian.org>  Fri, 31 Aug 2007 16:22:00 +0100

adduser (3.104) unstable; urgency=low

  [ Joerg Hoh ]
  * Added useful information to warning in adduser. Thanks to Marc Haber for
    the patch and Peter Eisentraut for the report, Closes: #397916
  * Made the GID ranges also configurable. CLoses: #415024
  * Clarified error message when specifying an unaccessible home directory;
    thanks to Alexander Klauer and Stephan Gran. Closes: #399992
  * Removed race condition; don't add too much (LDAP|NIS|...) user to local
    groups. Closes: #294579
  * Fix rights to backup files created by userdel, thanks to Vincent Danjean.
    Closes: #430637
  * deluser: also backup symlinks, pipes and sockets; thanks to Vincent
    Danjean. Closes: #430640
  * NAME_REGEX also applies to group names. Closes: #408148

  [ Stephen Gran ]
  * Translation and template changes:
    - Template changes (thanks bubulle!) (closes: #430643)
    - ar (thanks Ossama Khayat <okhayat@yahoo.com>) (closes: #431975)
    - cs (thanks Miroslav Kure <kurem@upcase.inf.upol.cz>) (closes: #431284)
    - es (thanks Carlos Valdivia Yagüe <valyag@dat.etsit.upm.es>)
         (closes: #431719)
    - eu (thanks Piarres Beobide <pi@beobide.net>) (closes: #431347)
    - gl (thanks Jacobo Tarrio <jtarrio@trasno.net>) (closes: #431321)
    - it (thanks Luca Monducci <luca.mo@tiscali.it>) (closes: #432203)
    - ja (thanks Kenshi Muto <kmuto@debian.org>) (closes: #431184)
    - ko (thanks Sunjae Park <darehanl@gmail.com>) (closes: #431182)
    - po (thanks Wojciech Zareba <wojtekz@comp.waw.pl>) (closes: #431549)
    - ru (thanks Yuri Kozlov <kozlov.y@gmail.com>) (closes: #432213)
    - vi (thanks Clytie Siddall <clytie@riverland.net.au>) (closes: #431277)
  * Touch up invalid variable interpolation in gettext string

 -- Stephen Gran <sgran@debian.org>  Mon, 09 Jul 2007 23:51:21 +0100

adduser (3.103) unstable; urgency=low

  [ Joerg Hoh ]
  * Updated adduser.8
  * don't advertise the "--group" parameter for adduser any more
    (Closes: #410366)
  * updated deluser.8 and documented some more parameters
    (Closes: #270247)
  * added a specific return value if deluser required perl modules.
    (Closes: #421089)
  * get_group_members never returned root as a member of a group.
    (Closes: #428144)

  [ Stephen Gran ]
  * Add myself to Uploaders.
  * print "$0: " needs to be conditional on $verbose, just like the printf
    following it (closes: #410370)
  * deluser: wrong format passed to dief, making it print oddly
    (closes: #412204)
  * Translations:
    hu (closes: #410792)

 -- Joerg Hoh <joerg@joerghoh.de>  Sun, 17 Jun 2007 11:22:19 +0200

adduser (3.102) unstable; urgency=low

  [ Marc Haber ]
  * Add testsuite test9.pl to catch the bug from #407231
  * Some testsuite tweaks
  * remove shell script tests, they are no longer used

  [ Stephen Gran ]
  * existing_group_ok was not properly differentiating between an existing
    user group and an existing system group.  (closes: #407231)
  * Test suite documentation update
  * lib_test.pl did not properly handle out of sequence or gappy usernames in
    getpwent or getgrent loops.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 19 Jan 2007 08:15:21 +0100

adduser (3.101) unstable; urgency=low

  [ Marc Haber ]
  * Update French (fr) program and man page translation.
    Thanks to Nicolas François. Closes: #402247
    The man page translation is from off-BTS
  * Update Russian (ru) man page translation.
    Thanks to Yuri Kozlov. Closes: #403785
  * Update Italian (it) program and man page translation.
    Thanks to Luca Monducci. Closes: #404262

  [ Stephen Gran ]
  * Update documentation about system uid's < 100 (closes: #402288)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 23 Dec 2006 12:50:15 +0100

adduser (3.100) unstable; urgency=low

  [ Marc Haber ]
  * Update Italian (it) program translation.
    Thanks to Luca Monducci. Closes: #396948
  * Update French (fr) program translation.
    Thanks to Nicolas François. Closes: #396737
  * Update German (de) program translation.
    Thanks to Tobias Toedter. Closes: #397131
  * Update Basque (eu) program translation.
    Thanks to Piarres Beobide. (mh) Closes: #399552
  * Updated Catalan (ca) program translation.
    Thanks to Jordi Mallach and Robert Millan. (mh) Closes: #379476

  [ Stephen Gran ]
  * Tentative fix for Undefined subroutine &main::NOEXPR called at
    /usr/sbin/adduser line 509.
    Thanks to Thorsten Gunkel. Closes: #212872

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 26 Nov 2006 22:12:28 +0100

adduser (3.99) unstable; urgency=low

  * escape @ in new regexp, now really fixing #389160.
    Thanks to Stephen for spotting this in time.
  * Fix wrong option spec backup-to= in deluser.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 13 Oct 2006 11:06:35 +0000

adduser (3.98) unstable; urgency=low

  * Update Polish (pl) program and manpage translation.
    Thanks to Robert Luberda. (mh) Closes: #383724
  * Update Brazilian Portuguese (pt_BR) manpage translation. Thanks to
    Felipe Augusto van de Wiel.
  * Fix typo in Czech (sh) program translation.
    Thanks to Miroslav Kure. (mh) Closes: #390536
  * streamline --backup-to option parsing.
    Thanks to Gerfried Fuchs. Closes: #385433
  * Fix list in package description.
    Thanks to Tomas Pospisek. Closes: #388853
  * Allow @ in user names if allowed by local configuration or
    --force-badname is given.
    Thanks to Christoph Ulrich Scholler. Closes: #389160
  * Add parenthesis to make gettext happy (see #386912)
  * Move po-debconf to build-depends.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 13 Oct 2006 08:28:49 +0000

adduser (3.97) unstable; urgency=low

  [ Marc Haber ]
  * Don't show rpcinfo -p errors to the user.
    Thanks to Michael Prokop. Closes: #381923
  * Fix a typo in Italian (it) program translation.
    Thanks to Luca Monducci.

  [ Stephen Gran ]
  * Merge multiple EXTRA_GROUPS comments into one (closes: #382251)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 15 Aug 2006 19:33:21 +0000

adduser (3.96) unstable; urgency=low

  * Update German (de) program and debconf translation.
    Thanks to Tobias Toedter. Closes: #378658, #378661
  * Update Swedish (sv) program and man page translation.
    Thanks to Daniel Nylander. Closes: #378692, #378770
  * Update Turkish (tr) debconf translation.
    Thanks to Erçin EKER. Closes: #378708
  * Update Korean (ko) debconf translation.
    Thanks to Sunjae Park. Closes: #378733
  * Update Czech (cs) program translation.
    Thanks to Miroslav Kure. Closes: #378766
  * Updated Ukrainian program translation. Thanks to
    Eugeniy Meshcheryakov. Closes: #378805
  * Updated Norwegian Bokmal program translation.
    Thanks to Hans Fredrik Nordhaug. Closes: #378969
  * Update Russian (ru) manpage and program translation.
    Thanks to Yuri Kozlov. Closes: #378748
  * Update Brazilian Portuguese (pt_BR) manpage translation. Thanks to
    Felipe Augusto van de Wiel.
  * Update Italian (it) program and manpage translations.
    Thanks to Luca Monducci. Closes: #379165
  * Update French (fr) manpage translation.
    Thanks to Nicolas François. Closes: #379394
  * Update French (fr) program translation.
    Thanks to Thomas Huriaux. Closes: #380070
  * Update Romanian (ro) debconf translation.
    Thanks to Eddy Petrişor. Closes: #378788

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 31 Jul 2006 06:58:21 +0000

adduser (3.95) unstable; urgency=low

  * Apply Tobias' last patch correctly. This again Closes: #378539

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 18 Jul 2006 05:33:02 +0000

adduser (3.94) unstable; urgency=low

  * More patches for program output.
    Thanks again to Tobias Toedter. Closes: #378539

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 17 Jul 2006 16:26:25 +0000

adduser (3.93) unstable; urgency=low

  [ Marc Haber ]
  * Update French (fr) manpage translation.
    Thanks to Nicolas François. Closes: #377317
  * Update German (de) program translation.
    Thanks to Tobias Toedter. Closes: #377415
  * Update Czech (cs) program translation.
    Thanks to Miroslav Kure. (mh) Closes: #377476
  * Apply a lot of patches for the program output.
    Thanks to Tobias Toedter. Closes: #377387, #377701

  [ Stephen Gran ]
  * Documentation of 'extra groups' feature in adduser.conf(5) and example in
    adduser.conf itself.  Closes: #377774

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 16 Jul 2006 21:54:58 +0000

adduser (3.92) unstable; urgency=low

  * Update French (fr) program translation.
    Thanks to Thomas Huriaux. Closes: #376286
  * do not use systemcall() for passwd call after creating new user.
    This broke our return code checking. Thanks to Alexander Wirt.
  * import NOEXPR from LangInfo.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri,  7 Jul 2006 08:17:43 +0000

adduser (3.91) unstable; urgency=low

  * Revert usage of systemcall for chage invocation. (sg)
    Thanks to Junichi Uekawa, Martin Lohmeier and Matt Kraai.
    Closes: #375524, #375720, #375510
  * testsuite changes:
    - testsuite now wrapped in shadowconfig {off,on} calls to avoid
      these sorts of failures in the future. (sg/mh)
    - change assert to exit 1 if $condition, as it did not seem to in previous
      tests. (sg)
    - Also make test8.pl able to handle being called multiple times in
      a row. (sg)
    - Correctly handle non-zero exit codes in tests. (mh)
    - Have runsuite list failed tests at end. (mh)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 27 Jun 2006 19:37:47 +0000

adduser (3.90) unstable; urgency=low

  * 3.89 is not an NMU, I botched up the changelog. Fixing.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 23 Jun 2006 14:23:00 +0000

adduser (3.89) unstable; urgency=low

  * Add additional check to testsuite/test8.pl to make sure system users are
    not added to extra groups. (sg)
  * New translations:
    - lt (Gintautas Miliauskas <gintas@akl.lt>) (sg) Closes: #374316
  * 3.88 was in experimental for a week without any bug reports.
  * now upload to unstable to let potential breakage begin.

 -- Stephen Gran <sgran@debian.org>  Mon, 19 Jun 2006 16:26:58 +0100

adduser (3.88) experimental; urgency=low

  [ Marc Haber ]
  * experimental version
  * Update French (fr) program translation.
    Thanks to Thomas Huriaux. Closes: #366885
  * Update French (fr) manpage translation.
    Thanks to Nicolas François. Closes: #367380
  * Apply two small patches to deluser man page.
    Thanks to Florentin Duneau. Closes: #367213
  * Update Italian (it) program and manpage translations.
    Thanks to Luca Monducci. Closes: #370030
  * Standards-Version: 3.7.2, no changed necessary.

  [ Stephen Gran ]
  * allow additional groups to be used for a new user.
    Closes: #147518, #166718, #212452, #233894, #239006, #240707, #240855
  * test 8 now adds a group, and adds the new user to that group - this should
    ensure that the new additional groups feature does not get invoked for
    'adduser to group' code paths
  * Fix "adduser: adduser:" output of error messages.
  * Fix error messages like "foo ", gtx( ..., whch does not produce
    output at all. Closes: #351968
  * Honor system PATH, do not hard-code paths to sub-programs.
    Closes: #357978
  * deluser should match its documentation, and exit 0 when asked to remove a
    system user that doesn't exist. Closes: #372599

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 13 Jun 2006 19:46:00 +0000

adduser (3.87) unstable; urgency=low

  [ Marc Haber ]
  * Update Italian (it) program and manpage translation.
    Thanks to Luca Monducci. (mh) Closes: #363100
  * Update French (fr) program translation. Thanks to Thomas Huriaux
    and Luc FROIDEFOND. (mh) Closes: #356130
  * Add Galician (gl) debconf translation.
    Thanks to Jacobo Tarrio. (mh) Closes: #361240
  * Fix mis-placed closing bracket in sub cleanup.
    Thanks to Ted Percival. (mh) Closes: #363182
  * Fix multiple issues in deluser man page.
    Thanks to J S Bygott. (mh) Closes: #362623
  * Correct wording in adduser man page.
    Thanks to Reuben Thomas. (mh) Closes: #364170

  [ Joerg Hoh ]
  * removed some unnecessary code
  * converted all calls of die() to dief(); Thanks to Stephan Gran
    <sgran@debian.org>

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 26 Apr 2006 14:00:15 +0000

adduser (3.86) unstable; urgency=low

  [ Marc Haber ]
  * Only check $! after calling symlink() if symlink() failed.
    Patch from Ubuntu, thanks to Colin Watson. (mh) Closes: #355708
  * Print error when failing, thanks to Ted Percival. (jh) Closes: #356162
  * Update French (fr) manpage translation.
    Thanks to Nicolas François. (mh) Closes: #356253
  * Update Czech (cs) program translation.
    Thanks to Miroslav Kure. (mh) Closes: #361413
  * Be more strict in user name checking.
    Thanks to Jeroen van Wolffelaar and Brendan O'Dea. (mh) Closes: #357185
  * Fix interpreter name in deluser. (mh)

  [ Joerg Hoh ]
  * deluser: include symbolic links in backup. Patch from
    Ubuntu.
  * deluser: Fixed handling of return codes, updated deluser.8
  * deluser: removed the --home parameter
  * adduser: fix @names initialization

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 15 Apr 2006 19:45:52 +0000

adduser (3.85) unstable; urgency=low

  * Add versioned Replaces for manpages-it. Thanks to Marco Presi and
    Francesco Paolo Lovergine. (mh) Closes: #353666, #353672.
  * Apply a bunch of patches from Stephen Gran, which look like they
    finish unfinished work.
  * introduce skel_ignore_regex, patch by Stephen Gran. (mh)
    Closes: #121262, #354459
  * Initialize configref->{"exclude_fstypes"} in AdduserCommon.pm.
    Thanks to Nobuhiro KUSUNO. Closes: #354823
  * Add perl-based test suite, shell scripts seem to be no-op now. (jh)
  * Re-start testing timer. Closes: #354829

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  4 Mar 2006 08:19:39 +0000

adduser (3.84) unstable; urgency=low

  * Fixed warning when using --verbose, which has independently been
    spotted by Paul Slootman and has been reported later by Kevin B.
    McCarty. (jh) Closes: #353032
  * Have --remove-all-files not descend into special file systems.
    Thanks to Kai Hendry. (jh) Closes: #344488
  * Update Swedish (sv) program and manpage translation, again from
    Daniel Nylander. (mh) Closes: #352740, #352742
  * Update Italian (it) program and manpage translation.
    Thanks to Luca Monducci. (mh) Closes: #353467

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 19 Feb 2006 18:19:15 +0000

adduser (3.83) unstable; urgency=low

  * Update French (fr) manpage translation.
    Thanks to Nicolas François. (mh) Closes: #346562
  * Apply out-of-band patch from Thomas Huriaux to clean up po4a
    handling. (mh)
  * Make $configfile a reference in deluser GetOptions call (perl
    5.8.8 checks this). (mh) Closes: #352496
  * Fixed bug which prevented adduser from adding an already existing user
    with the same uid/... again. Thanks to Henrique de Moraes Holschuh for the
    detailed bug report. (jh) Closes: #352225
  * Updated adduser.8 : don't assume that adduser creates a new user with
    uid == gid (jh)
  * Update Swedish (sv) program and manpage translation, again from
    Daniel Nylander. (mh) Closes: #352355

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 12 Feb 2006 13:51:09 +0000

adduser (3.82) unstable; urgency=low

  * Don't assume that gid can be equal to the uid. Thanks to
    Junichi Uekawa and Paul Slootman. (jh) Closes: #351480, #351552
  * shell code cleanup in the test suite. (mh)
  * Fix crontab deletion. (mh)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun,  5 Feb 2006 20:08:45 +0000

adduser (3.81) unstable; urgency=low

  [ Marc Haber ]
  * fix swedish manpage addendum thanks to Thomas Huriaux.
  * Update Swedish (sv) manpage translation, again from Daniel Nylander.
  * Update French (fr) program translation.
    Thanks to Aurelien Ricard. (mh) Closes: #341264

  [ Joerg Hoh ]
  * (nearly) all output should now use gettext
  * deluser now removes also user crontabs
  * added only-if-empty parameter to delgroup.conf (Closes: #347717)
  * improved search for new uid/gid (thanks to Karl Rink) (Closes: #119597)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  4 Feb 2006 11:57:27 +0000

adduser (3.80) unstable; urgency=low

  * Update Dutch (nl) program translation.
    Thanks to Rob Snelders. (mh) Closes: #339875
  * Fix typo in adduser man page and translations.
    Thanks to A Costa. (mh) Closes: #340343
  * Make Polish (pl) man pages actually included.
    Update Polish (pl) program and manpage translation.
    Thanks to Robert Luberda. (mh) Closes: #340327
  * New Swedish (sv) program translation.
    Thanks to Daniel Nylander. (mh) Closes: #340669
  * New Swedish (sv) manpage translation, also from Daniel.
  * Add addendum.template to aid manpage translators. Thanks to
    Thomas Huriaux.
  * Fix two typos in french manpage translator addenda. Thanks to
    Thomas Huriaux.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 29 Nov 2005 14:07:10 +0000

adduser (3.79) unstable; urgency=low

  * Fix shadowless systems _again_.
    Thanks to Matt Zimmerman. (mh) Closes: #339686
  * remove double values from adduser.conf. (mh)
  * Allow underscores in adduser.conf variable names.
    Thanks to David Bishop and Edward J. Shornock. (mh) Closes: #339670

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 18 Nov 2005 17:29:46 +0000

adduser (3.78) unstable; urgency=low

  [ Marc Haber ]
  * Changes suggested by Denis Barbier
    * po/Makefile: move -c down from xgettext definition to the actual call
    * po/Makefile: Use a SOURCES variable. The old version caused
      strings from deluser to be discarded.
    * deluser: make generation of copyright message more translation
      friendly
    * hack gtx wrapper to not only export the first string into the
      POT file.
  * Add Brazilian Portuguese (pt_BR) manpage translation. Thanks to
    Felipe Augusto van de Wiel. (mh)
  * Add Portuguese (pt) debconf translation by Miguel Figueiredo and
    Marco Ferra. (mh) Close: #336332
  * Update French (fr) manpage translation. Thanks to
    Thomas Huriaux. (mh) Closes: #336200
  * Update Russian (ru) manpage, program and debconf template translation.
    Thanks to Yuri Kozlov. (mh) Closes: #337080
  * Fix typo in deluser.conf.5, hopefully without fuzzying
    translations. Thanks to Felipe Augusto van de Wiel and to Thomas
    Huriaux. (mh)
  * remove wrong pt_PT manpage translation. (mh)
  * Polish (pl) translation work by Robert Luberda. (mh) Closes: #335926
    * initial man page translation
    * updated translation of program
    * updated translation of debconf templates
    * debian/control: replace manpages-pl
    * debian/rules + doc/po4a/po4a.conf: add support for Polish man pages
    * debian/scripts/install_manpages: fail if the man file can't be
      created
    * debian/rules: correct man pages location for es and ru translations.

  [ Joerg Hoh ]
  * stricter checking on variables in configuration files (inspired by
    #130751)
  * documented --debug in adduser.8
  * streamlined verbosity code, replaced calls to system() with systemcall()
    (Closes: #336841), also changed the definition of the environment
    variable VERBOSE; DEBUG is deprecated now (but still defined).

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 16 Nov 2005 13:26:03 +0000

adduser (3.77) unstable; urgency=low

  [ Marc Haber ]
  * call make -C po update clean in debian/rules clean.
    Thanks to Eduard Bloch. (mh)
  * invoke debconf-updatepo and po4a in clean target.
    Thanks to Thomas Huriaux. (mh)

  [ Joerg Hoh ]
  * fixed bug in deluser which made not specified parameters valid
  * backup files for users have a mask of 600 and ownership is set to root
    only (Closes: #331720)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 23 Oct 2005 18:41:21 +0000

adduser (3.76) experimental; urgency=low

  * use xgettext -kgtx instead of -k_ to de-confuse xgettext

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Oct 2005 19:11:54 +0000

adduser (3.75) experimental; urgency=low

  * apply patch from Thomas Huriaux to re-work manpage generation:
    * remove doc/*.es_ES
    * remove doc/outdated/
    * create and populate doc/po4a/po
    * add the addenda to doc/po4a directory
    * modify the doc/po4a.conf file.
    * adapt debian/rules
    (mh) Closes: #335196.
  * Changes suggested by Denis Barbier
    * use YESEXPR in the yes/no question to help with non-english
      languages
    * call xgettext -c in po/Makefile
    * Eliminate concatenated msgids building full sentences.
    (mh) This hopefully solves #224301.
  * Minor string changes. (mh)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 22 Oct 2005 19:02:52 +0000

adduser (3.74) unstable; urgency=low

  * Update German (de) debconf translation.
    Thanks to Daniel Knabl. (mh) Closes: #326136
  * Fix wrong bug number in 3.72 changelog regarding #333384.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 20 Oct 2005 16:03:59 +0000

adduser (3.73) unstable; urgency=low

  * make adduser consistent with documentation again. The option is
    --disabled-password, not --disabled-passwd or --disabled_password.
    Thanks to Colin Watson. (mh) Closes: #332815

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 19 Oct 2005 16:47:13 +0000

adduser (3.72) unstable; urgency=low

  * add adduser.pot to SVN
  * Update French (fr) program translation.
    Thanks to Christian Perrier. (mh) Closes: #333384
  * Created some shell scripts which are trying to act as a testsuite (jh)
  * correct wrong "user UID" for system groups in manpage, reference
    Debian Policy 9.2.2. Thanks to Faheem Mitha. (mh) Closes: #334315
  * fix $verbose handling. (mh)
  * global rename _ to gtx to un-break File::Find. (mh)
  * internal change to config hash handling. (mh)
  * remove double definition of get_users_groups. (mh)
  * fix error message in addusertogroup. (mh)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 18 Oct 2005 18:25:53 +0000

adduser (3.71) experimental; urgency=low

  * Another small patch to po/Makefile to ease translation. Thanks,
    again, to Thomas Huriaux.
  * Allow delgroup user group. Thanks to Dan Jacobson. (mh) Closes: #176362
  * Fix --disabled-passwd and --disabled-login. (mh) Closes: #332815
  * Change create_homedir parameter processing. (jh)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  8 Oct 2005 18:38:09 +0000

adduser (3.70) experimental; urgency=low

  * The "Long Live Jörg" Release. Thanks for your tremendous help!
  * Update Swedish (sv) debconf translation. Thanks to Daniel Nylander
    and André Dahlqvist. (mh) Closes: #330258
  * patches by Jörg Hoh:
    - move common code regarding parameter and config file parsing to
      AdduserCommon.pm
    - put creation of home directory in a function
  * Streamlining of print(f)/die(f) statements regarding quoting,
    parenthesis and spaces. (mh/jh)
  * Clarify error message if system group to be added does already
    exist as a non-system group.
    Thanks to Peter Eisentraut. (mh) Closes: #326192
  * Move package from base to admin to clear up override disparity. (mh)
  * patch po/Makefile to be nicer to translators.
    Thanks to Thomas Huriaux. (mh) Closes: #331392
  * Don't mess with nscd's pid file any more, just invalidate caches if
    nscd binary is found. It will fail silently if nscd is installed but
    not running. Thanks to Antti Salmela, Peter Eisentraut and Bastian
    Blank. (mh) Closes: #327804

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon,  3 Oct 2005 19:14:15 +0000

adduser (3.69) experimental; urgency=low

  * the "please no more bugs from users of shadowless systems"
    release. (mh) Closes: #327144
  * versioned depends on passwd >> 1:4.0.12 because of the changed
    chage exit code (now, 15) in the "shadow passwod not enabled"
    case. Earlier versions return 3 or even a normal 1 in that case.
  * shadowless setups do only work with adduser older than 3.64, or
    with passwd younger than 1:4.0.12.
  * make clear in 3.68 changelog that Jörg's patches were against adduser
  * patches by Jörg Hoh:
    - move common code to AdduserCommon.pm
    - deluser: use GetOpt instead of manual option parsing
    - deluser: restructure plausibility checks
    - deluser: introduce "use strict"
  * make adduser.conf.5 NAME_REGEX consistent with the code. Thanks to
    Christoph Ulrich Scholler. Closes: #323395.
  * show deluser that name_regex is a valid configuration directive.
    Thanks to Christoph Ulrich Scholler. Closes: #324699.
  * put new FSF street address in debian/copyright

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu,  8 Sep 2005 17:18:18 +0000

adduser (3.68) experimental; urgency=low

  * adduser patches by Jörg Hoh:
    - use GetOpt instead of manual option parsing
    - restructure plausibility checks
    - Comment update
    - relaxed checking of configuration ("yes" is checked case
      insensitively now)
    - explicit return values
    - reorder command line checks and make them more consistent
    - add more comments

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 15 Aug 2005 20:13:28 +0000

adduser (3.67) unstable; urgency=low

  * Add Arabic (ar) debconf translation. Thanks to Mohammed Adnène
    Trojette. (mh) Closes: #320756
  * Update French (fr) manpages, introduce po4a to generate translated
    manpages. Thanks to Nicolas François. Closes: #321614
  * add dependency alternative debconf | debconf-2.0 to stop being a
    cdebconf transition blocker. Thanks to Joey Hess for the heads-up.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 12 Aug 2005 05:50:03 +0000

adduser (3.66) unstable; urgency=low

  * Fix adduser user group. Thanks to Klaus Ethgen. Closes: #318951
  * Fix primary group check which was broken due to wrong function name.
    Thanks to Bastian Kleineidam. Closes: #319043
  * Fix broken error message on chage non-zero exit code. Thanks to
    Brian Nelson. Closes: #316089
  * have get_group_members return a list when callers expect a list.
    Thanks to Lukasz Czyczylo.
  * add lintian override: adduser does not need to depend on adduser
    to use adduser in maintainer scripts.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 28 Jul 2005 05:34:56 +0000

adduser (3.65) unstable; urgency=low

  * do not abort if chage returns exit code 3. This is an indication
    that password aging cannot be set due to shadow not being enabled.
    Closes: #316089, #317944.
  * get_group_members now filters out non-existent users.
    Closes: #284688, #315071, #315250
  * Use getpwent to determine whether a to-be-deleted group is primary
    group for users to enhance compatibility with non-/etc/passwd
    backends. Closes: #308175
  * Standards-Version: 3.6.2 (no changes needed)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 15 Jul 2005 18:03:40 +0000

adduser (3.64) unstable; urgency=low

  * The "bring the svn changes to unstable while not having time to
    address the other valid bug reports" release.
  * try Priority: - to avoid override disparities
  * Updated Norwegian Bokmal debconf templates and program translations.
    Thanks to Hans Fredrik Nordhaug. (mh) Closes: #298834
  * Re-generate adduser.pot, fix gettext bugs in deluser. Thanks to
    Hans Fredrik Nordhaug. (mh)
  * Now handles /etc/skel correctly even if it is not readable for a
    normal user. Thanks to Chapko Dimitrij. (mh) Closes: #299489
  * Zap program synopsis comments from the beginning.
  * Fix $ error in adduser.conf.5. Thanks to Kevin Ryde.
    (mh) Closes: #300641
  * Add Finnish debconf templates. Thanks to Matti Pöllä.
    (mh) Closes: #303854
  * Add Vietnamese debconf templates. Thanks to Clytie Siddall.
    (mh) Closes: #307599
  * Fix broken --disabled-login --disabled-password handling. Thanks
    to Tokka Hastrup. (mh) Closes: #302837
  * Use chage to override login.defs PASS_MAX_DAYS for system accounts.
    Thanks to Gerhard Schrenk. (mh) Closes: #298883
  * fix misdocumentation of system user password status.
    Thanks to Shaul Karl. (mh) Closes: #308881
  * add ubuntu patch to generate pot file during package build, and
    fix two s_print/s_printf invocations in deluser.
    Thanks to Martin Pitt. (mh) Closes: #313517

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 18 Jun 2005 17:09:56 +0000

adduser (3.63) unstable; urgency=low

  * allow underscores again. Bug in the regexp. Thanks to Steve
    Langasek.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 04 Mar 2005 06:38:22 +0000

adduser (3.62) unstable; urgency=low

  * Updated Ukrainian program translation. Thanks to
    Eugeniy Meshcheryakov. (mh) Closes: #294244.
  * Updated Catalan program translation. Thanks to Orestes Mas.
    (mh) Closes: #295340.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 17 Feb 2005 06:33:23 +0000

adduser (3.61) experimental; urgency=low

  * make username verification regexp configurable. (mh)
    Closes: #283110, #287535

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon,  7 Feb 2005 18:37:31 +0000

adduser (3.60) experimental; urgency=low

  * adduser.conf manpage fixes. Thanks to Siward de Groot. (mh)
    Closes: #268841.
  * adduser manpage fixes. Thanks to Siward de Groot. (mh)
    Closes: #268837.
  * Fix docs wrongly suggesting home dirs created sgid. Thanks to
    Shaul Karl. (mh) Closes: #286227.
  * create /etc/skel symlinks with proper uid/gid. Thanks to Deepak
    Goel. (mh) Closes: #268402.
  * Apply manpage patch from Nicolas François. Thanks. (mh) Closes: #278937.
  * Fix manpage typo. Thanks to Jari Aalto. (mh) Closes: #270266.
  * Fix adduser manpage: Adding an already-existing system user issues
    a warning. The manpage claims adduser will exit silently. (mh)
  * Add Basque program and debconf translation. Thanks to Piarres Beobide
    Egaña. (mh) Closes: #279659.
  * Add new adduser.local examples directory by John Zaitseff. (mh)
    Closes: #273010.
  * Add Italian program translation. Thanks to Luca Monducci. (mh)
    Closes: #271142.
  * Add a new config option NO_DEL_PATHS to deluser.conf with a
    sensible default in the deluser source code. In the default
    configuration, deluser will not zap any important system directories
    any more. Thanks to Ernst Kloppenburg and Klaus Ethgen. (mh)
    Closes: #293559, #271829
  * deluser will now stop deleting at a mount point. Thanks to Andreas
    Schmidt. (mh) Closes: #231809

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  5 Feb 2005 14:22:20 +0000

adduser (3.59) unstable; urgency=low

  * Updated Danish program translation. Thanks to Morten Brix
    Pedersen. (mh) Closes: #262336.
  * Updated Czech program translation. Thanks to Miroslav Kure. (mh)
    Closes: #261860.
  * Updated Russian program and debconf translation. Thanks to Yuri
    Kozlov. (mh)
  * Updated Ukrainian program and debconf translation. Thanks to
    Eugeniy Meshcheryakov. (mh) Closes: #261635.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 30 Jul 2004 18:15:55 +0000

adduser (3.58) unstable; urgency=low

  * fix inconsistent hyphenation in man pages. Thanks to Clint Adams.
    (mh) Closes: #259000.
  * Applied patch for German debconf translation by Florian Ernst.
    (rb) Closes: #261236.
  * Applied patch for Dutch debconf translation by cobaco.
    (mh) Closes: #261338.
  * Applied patch to tidy up the English program translations. Thanks
    to Adam D. Barratt. A request e-mail to the translators asking them to
    review the changes to their translation has been sent out.
    (mh) Closes: #260265.
  * Updated Catalan translations by Jordi Mallach <jordi@debian.org>.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 26 Jul 2004 21:11:40 +0200

adduser (3.57) unstable; urgency=low

  * Roland Bauerschmidt:
    * Updated Spanish Debconf translations. Thanks to Carlos Valdivia
      Yagüe <valyag@dat.etsit.upm.es>. Closes: #251321.
    * Updated Czech Debconf translations. Thanks to Miroslav Kure
      <kurem@upcase.inf.upol.cz>. Closes: #251677.
  * Marc Haber:
    * Remove XSI:isms from debian/config. Thanks to David Weinehall.
      Closes: #254776.
    * Set Maintainer: to the adduser-devel mailing list, Roland is
      uploader.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 20 Jun 2004 12:14:43 +0000

adduser (3.56) unstable; urgency=low

  * Marc Haber:
    * Applied patch against pt_BR debconf template translation. Thanks
      to Adnre Luis Lopes <andrelop@debian.org>. Closes: #251280.
  * The "Alle Guten Dinge sind Drei" release.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 27 May 2004 20:02:59 +0000

adduser (3.55) unstable; urgency=low

  * Marc Haber:
    * Applied patch against pt_BR translation. Thanks to Andre Luis
      Lopes <andrelop@debian.org>. Closes: #251269.
  * The "why do new translations always come in six hours after the
    last upload" release.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 27 May 2004 19:23:28 +0000

adduser (3.54) unstable; urgency=low

  * Marc Haber:
    * Added Italian debconf templates. Thanks to Luca Monducci.
      Closes: #248007.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 27 May 2004 13:43:01 +0000

adduser (3.53) unstable; urgency=low

  * Marc Haber:
    * fix deluser to allow exotic characters like "+" in the version
      string by quoting VERSION.
    * Updated Spanish man pages. Thanks to Ruben Porras. Closes: #241087.
    * Updated French man page for adduser.conf. Thanks to Julien
      Louis. Closes: #244639.
    * Updated French debconf templates. Thanks to Christian Perrier.
      Closes: #241508.
    * Updated Japanese debconf templates. Thanks to Kenshi Muto.
      Closes: #241805.
    * Updated Danish debconf templates. Thanks to Claus Hindsgaul.
      Closes: #241845.
    * Updated Ukrainian debconf templates. Thanks to Eugeniy
      Meshcheryakov. Closes: #241851.
    * Added Greek debconf templates. Thanks to Konstantinos
      Margaritis. Closes: #243555.
    * Updated Danish translations. Thanks to Morten Brix Pedersen.
      Closes: #243078.
    * Updated German translations. Thanks to Florian Ernst. Closes:
      #244091.
    * rename no.po to nb.po to shut up a warning.
    

  * Roland Bauerschmidt:
    * Updated French translations. Thanks to Christian Perrier.
      Closes: #242773.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat,  8 May 2004 11:08:20 +0000

adduser (3.52) unstable; urgency=low

  * Roland Bauerschmidt:
    * Removed junk from po/nb.po.
    * Updated Brazilian Portuguese translation of the Debconf
      templates by Andre Luis Lopes <andrelop@debian.org>.
      Closes: #207944.
    * Updated Catalan translations by Jordi Mallach <jordi@debian.org>
      Closes: #190631.
    * Updated Dutch translation of the Debconf templates by
      cobaco@linux.be. Closes: #215364.
    * Fixed POT file generation, patch provided by Eugeniy Meshcheryakov
      <eugen@univ.kiev.ua>. Closes: #233285.
      The "-L Perl" is added to xgettext, which imposes a versioned
      dependency on gettext >= 0.13.
    * Updated Swedish translation of the Debconf templates by
      Leonard Norrgard <vinsci@refactor.fi>. Closes: #230381.
    * Fixed a typo in Spanish translation, reported by Jesus Roncero
      <jesus@roncero.org>. Closes: #223828.
    * Updated Danish translation by Morten Brix Pedersen <morten@wtf.dk>.
      Closes: #216420.
    * Added Simplified Chinese translations, both for programs and
      Debconf templates, by Carlos Z.F. Liu <carlos_liu@yahoo.com>.
      Closes: #230651.
    * Added Czech translations, both for programs and Debconf templates, by
      Miroslav Kure <kurem@upcase.inf.upol.cz>. Closes: #232062.
    * Added Ukranian translations, both for programs and Debconf templates,
      by Eugeniy Meshcheryakov <eugen@univ.kiev.ua>. Closes: #233552.
    * Applied patch by Denis Barbier <barbier@debian.org> for most translation
      related changes. Thanks a lot for the help. Closes: #236494.
      
  * Marc Haber:
    * add myself to Uploaders: and debian/copyright.
    * modify changelog to see who did which change.
    * fix adduser.8 to correctly document adduser --system --group.
      Renamed translated adduser.8 man pages after discussion on
      #debian-devel. Closes: #239236. Closes: #219438.
    * addgroup --system does no longer fail if system group already
      exists. Closes: #239238.
    * adduser now gives clearer error messages when user/group to be
      created as system user/group already exists as non-system.
      Thanks to Henrique de Moraes Holschuh. Closes: #143738.
    * add --system option to deluser. Adapt man pages. Rename
      translated man pages. Closes: #239261.
    * add --home option to deluser. Adapt man page. Closes: #239376
    * adapt deluser's systemcall() to honor --debug
    * add --only-if-empty switch to delgroup. Adapt man page.
      Closes: #239579
    * delgroup will of course delete non-system groups, contrary to
      comments and docs. Fix comments and docs
    * Improve warnings regarding --no-create-home. Thanks to Chris
      Halls. Closes: #141016.
    * deluser: Check for existing $pw_homedir before find to avoid
      warning if home dir not present.
    * fix debconf UI reference in templates. Thanks to Joey Hess.
      Closes: #215025.
    * fix german debconf template.
    * capitalize default choice N in correctness prompt of code and
      po files. Thanks to Justin B Rye. Closes: #238807.
    * Add turkish po-debconf translation. Thanks to Recai Oktas.
      Closes: #239140.
    * Include alioth link and mailing list to package description.
    * add --backup-to parameter to deluser. Closes: #138618.
    * Include updated Swedish translation of debconf template. Thanks
      to André Dahlqvist. Closes: #238923.
    * recode changelog to utf-8.
    * honor setgid_home for directories in /etc/skel. Thanks to Jeff
      Tranter. Closes: #158370.
    * use temporary file for backup file list. Thanks to Christoph
      Ulrich Scholler. Closes: #230364. Closes: #230360.
    * hand down --quiet and --debug settings to adduser.local. Thanks
      to Karl M. Hegbloom. Closes: #240103. Closes: #156013.
    * Standards-Version: 3.6.1

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 28 Mar 2004 17:57:26 +0200

adduser (3.51) unstable; urgency=low

  * Switched to po-debconf. Thanks to Christian Perrier
    <bubulle@debian.org> for the patch! Closes: #198021.
  * Include the Norwegian (bokmaal) translation by Geir Helland
    <debian@marked.no>. Closes: #196981.
  * Include the Brazilian Portuguese translations of the
    manpages by Philipe Gaspar <philipegaspar@terra.com.br>.
    Closes: #194375.
  * Include the Spanish manpages by Ruben Porras
    <nahoo82@telefonica.net>. Closes: #195437.
  * Remove duplicate word in adduser.conf.5. Closes: #191863.

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 28 Aug 2003 20:59:52 +0200

adduser (3.50) unstable; urgency=low

  * Move /usr/share/doc/adduser/examples/adduser.conf to
    /usr/share/adduser/adduser.conf. Closes: #189758, #167696.
  * Fixed documentation as regards creating system resp. user
    groups. Closes: #168913.

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 20 Apr 2003 15:01:47 +0200

adduser (3.49) unstable; urgency=low

  * Updated Standards-Version.
  * Don't create /usr/doc symlink.
  * Added Danish translation of the po file. Closes: #122670.
  * Updated French translation of the Debconf template. Closes: #132381.
  * Updated Russion translation of the po file. Closes: #121098.
  * Added Catalan translation of the po file. Closes: #171800.
  * Added French translation of adduser.conf manpage. Closes: #166084.

 -- Roland Bauerschmidt <rb@debian.org>  Tue, 24 Dec 2002 11:46:46 +0100

adduser (3.48) unstable; urgency=low

  * Applied patch from Dagfinn Ilmari to honor --system when adding groups.
    Closes: #149765.
  * Use full paths of shadow tools. Closes: #154799.
  * Fixed bad entry in debian/templates.

 -- Roland Bauerschmidt <rb@debian.org>  Fri, 30 Aug 2002 21:55:43 +0200

adduser (3.47) woody-proposed-updates unstable; urgency=medium

  * Really added Japanese debconf-templates. Sorry for that. Closes: #137291.
  * deluser: eval for File::Find to catch errors if perl-modules isn't
    installed. Closes: #136291.
  * Updated German po file.
  * Switched to use warnings; (rather than perl -w).

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 24 Mar 2002 17:11:53 +0100

adduser (3.46) woody-proposed-updates unstable; urgency=low

  * generate md5sums.
  * Corrected typo in adduser.8. Closes: #135444.
  * Updated Japanese po-file. Closes: #137291, #137390.
  * Fixed wording in adduser.8. Closes: #130252. 

 -- Roland Bauerschmidt <rb@debian.org>  Fri, 22 Mar 2002 15:06:15 +0100

adduser (3.45) woody-proposed-updates unstable; urgency=HIGH

  * Uploading to woody-proposed-updates as since version 3.42 some
    fixes were made I really want to get have in woody. They are quite
    unlikely to break stuff.

 -- Roland Bauerschmidt <rb@debian.org>  Sat, 15 Dec 2001 15:46:15 +0100

adduser (3.44) unstable; urgency=HIGH

  * Quote $RET in debian/postinst. This seems to fix errors when
    upgrading. Closes: #122606.

 -- Roland Bauerschmidt <rb@debian.org>  Wed,  5 Dec 2001 23:13:54 +0100

adduser (3.43) unstable; urgency=low

  * get ready for the freeze
  * Fixed malformated line in the description and rephrased some parts.
    Closes: #114932. Also changed 'gecos' to 'GECOS field' as discussed
    on -devel.
  * Updated adduser.8 that dashes in usernames are valid without
    --force-badname as well. Closes: #116118
  * Made --firstuid and --lastuid work without usergroups as well. Oops.
    Closes: #118720.
  * Updated Russion Debconf template. Closes: #112651.
  * Changed Build-Depends to Build-Depends-Indep.

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 29 Nov 2001 14:25:33 +0100

adduser (3.42) unstable; urgency=low

  * If --no-create-home is specified, adduser doesn't warn about an
    existing home directory anymore.
  * Also fixed some stupid mistake so that the verbose information that
    a system user already exists is printed probably. Closes: #112477.
  * Fixed broken reference to /usr/share/common-licenses/GPL in
    debian/copyright.
  * Removed emacs stuff from debian/changelog.
  * It should possible to translate [y/n] now. Updated
    Brazilian/Portuguese and German translations for this. Closes: #108919.
  * Added Dutch translation of the .po file. Closes: #111305.
  * Updated debian/control to represent the change in the overrides file
    from priority standard to important.

 -- Roland Bauerschmidt <rb@debian.org>  Mon, 17 Sep 2001 15:15:02 +0200

adduser (3.41) unstable; urgency=low

  * Home directories should be removed properly now. Before @dirs is
    processed, it is first sorted in reverse order to ensure and
    sub directories are process before their parent directories.
    Closes: #102929.
  * Don't copy *.dpkg-* files from skel. Closes: #105453.
  * Fixed Polish Debconf templates file. Closes: #107764.
  * There won't be much more new development except bugfixes in the
    current adduser version since I'm working on a rewrite with a more
    flexible design.

 -- Roland Bauerschmidt <rb@debian.org>  Sat, 11 Aug 2001 11:08:14 +0200

adduser (3.40) unstable; urgency=low

  * Added Polish translation of Debconf templates files and .po file.
    Closes: #103037, #103305.
  * #102929 is unfortunately not fixed yet. I'll work on that when I'm
    back from vacation.

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 12 Jul 2001 15:15:39 +0200

adduser (3.39) unstable; urgency=medium

  * Last upload was rejected because of broken dpkg-dev, and since
    I don't have my key here at LSM, this package is uploaded by
    Martin Michlmayr...
  * Debconf stuff and /etc/adduser.conf is purged in postrm if the
    package is purged. Closes: #101811.
  * Fixed typo (NISERVER instead of NISCONFIG) in AdduserCommon.pm.
    Closes: #101900.
  * adduser.conf is only modified if the value entered through debconf
    actually changed from the current value in adduser.conf.
    Closes: #101027.
  * Added Danisch translation of Debconf templates file.
    Closes: #100285.
  * Fixed typo in adduser.8. Closes: #103085.

 -- Roland Bauerschmidt <rb@debian.org>  Tue,  3 Jul 2001 14:06:47 +0200

adduser (3.38) unstable; urgency=low

  * Added Korean translation of Debconf templates files and updated
    .po file. Closes: #100648.

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 14 Jun 2001 11:02:53 +0200

adduser (3.37) unstable; urgency=medium

  * -h now does the same as --help. Closes: #98789.
  * make -C /var/yp is only called if adduser is run on a NIS server.
    Thanks to Herbert Xu and Miquel van Smoorenburg for their helpful
    tips on how to check this most reliable. Currently this is done
    everytime invalidate_nscd() is called which probably doesn't
    improve the performance a lot. :-/ I couldn't figure out if there
    are static variable (like in the C function scope), and using a
    global variable is not optimal either. We have too much of that old
    cruft anyway which should be cleaned up. Should be improved later.
    Closes: #97981.

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 27 May 2001 20:34:00 -0500

adduser (3.36) unstable; urgency=medium

  * The "I hope it resolves NIS issues" release
  * make -C /var/yp is called when invalidating nscd cache. Thanks to
    Juergen Fischer for testing. Closes: #22412
  * Included example adduser.local script from John Zaitseff.
    Closes: #94245

 -- Roland Bauerschmidt <rb@debian.org>  Wed,  9 May 2001 16:28:02 -0500

adduser (3.35) unstable; urgency=low

  * Removed unnecessary dependency on perl since perl-base should be
    sufficient. Thanks to Joey Hess for pointing that out. I suspect 
    we need a versioned dependency on perl-base though since older
    perl versions don't look in /usr/share/perl5.
  * Updated usage text for --shell and --disabled-login options.

 -- Roland Bauerschmidt <rb@debian.org>  Sun,  6 May 2001 16:16:06 -0500

adduser (3.34) unstable; urgency=low

  * Temporary fix for French translation to display [y/n] instead of
    [o/n] when asking if chfn information is correct since the yes
    thing is hard-coded at the moment. At the moment the best solution
    I can think of would be having a "yes" and "no" in the .po files
    and grabbing the first letter to generate [o/n] for French e.g.
    Closes: #87596.
  * Added Romanian translation of Debconf translates. Closes: #93601.
  * Added a sentence to Debconf template homedir-permission that it
    only affects users added later, and syncronised the German template
    for this change. Closes: #88292.
  * Adduser now understands --shell to override the login shell specified
    in the configuration file. adduser.8 is updated, too.
  * Added new options --disabled-login which does what
    --disabled-password previously did. --disabled-password not sets the
    password to '*' in the shadow file and thus logins via SSH RSA keys
    e.g. are still possible. Closes: #77817.
  * Got rid of bashism in debian/rules 

 -- Roland Bauerschmidt <rb@debian.org>  Thu,  3 May 2001 19:39:18 -0500

adduser (3.33) unstable; urgency=low

  * Added Dutch translation of Debconf templates. Closes: #83535.
  * Added Brazilian-Portuguese translation of Debconf templates.
    Closes: #89441.
  * Removed doc/Makefile which shouldn't have been there. Argh.
  * Added some code to build the manpage hierarchive including
    localised manpages automatically.

 -- Roland Bauerschmidt <rb@debian.org>  Wed, 21 Mar 2001 19:14:49 -0600

adduser (3.32) unstable; urgency=low

  * Moved AdduserCommon.pm to /usr/share/perl5/Debian/.
  * Depends on perl instead of perl5 due to Perl changes. 

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 15 Feb 2001 20:17:56 -0600

adduser (3.31) unstable; urgency=low

  * Fixed typo in deluser.8. Closes: #85830.
  * Updated Russian translation of po file, added translation of Debconf
    templates, and translated manpages from Yuri Kozlov
    <y_kozlov@chat.ru>.
  * Updated French translations of po file. Closes: #85758.
  * Added Spanish translation of Debconf templates. Closes: #84412.
  * Removed lintian overrides file.

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 15 Feb 2001 19:33:35 -0600

adduser (3.30) unstable; urgency=low

  * Added French translation of Debconf templates. Closes: #83253.
  * Added Norwegian translation of Debconf templates. Closes: #83351.
  * Added Swedish translation of Debconf templates. Closes: #83367.

 -- Roland Bauerschmidt <rb@debian.org>  Wed, 24 Jan 2001 16:57:06 -0600

adduser (3.29) unstable; urgency=low

  * /etc/adduser.conf is not marked as a conffile anymore. Instead, it
    is moved to /usr/share/doc/adduser/examples/adduser.conf and will
    be copied in postinst if it does not exist already.
  * Fixed another error in postinst when receiving the status if DIR_MODE
    was changed in /etc/adduser.conf.
  * Debconf template now talks about "system wide readable homedirs",
    instead of world-wide ones. This description is more appropriate.
    Closes: #81812
  * Added German translation for the Debconf template.
  * Added explaination to adduser.8 that if invoked with --system and
    the given parameters match with the password file, adduser exists
    silently. Closes: #81300.

 -- Roland Bauerschmidt <rb@debian.org>  Mon, 15 Jan 2001 22:54:54 -0600

adduser (3.28) unstable; urgency=low

  * deluser: Fixed tar -I problem. Now the files are first 'tar'ed and
    then compressed with bzip2 or gzip.
  * deluser: Homedirectory is now backup probably using File::Find::find
  * adduser: Introduced the options --firstuid and --lastuid similar to
    the patch in BTS. Closes: #81352.

 -- Roland Bauerschmidt <rb@debian.org>  Sun,  7 Jan 2001 13:15:07 -0600

adduser (3.27) unstable; urgency=low

  * Fixed nscd variable scope problem: $nscd, holding the path to the
    nscd binary was defined 'my' inside an if-construct.
  * Type in manpage deluser.8 fixed and some a sentence on how the
    compression method is chosen in deluser added to deluser.conf.5

 -- Roland Bauerschmidt <rb@debian.org>  Wed, 20 Dec 2000 23:57:17 -0600

adduser (3.26) unstable; urgency=low

  * deluser: when using remove_all_files and backup, deluser does not
    backup directories anymore. Closes: #79791.

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 17 Dec 2000 01:20:08 -0600

adduser (3.25) unstable; urgency=high

  * adduser: checks for nscd in /usr/bin/nscd and /usr/sbin/nscd.
  * adduser: nscd is invoked with system instead of systemcall, thus
    adduser doesn't clean up in case nscd returned an error. Closes: #77927.
  * adduser: if invoked with --system and the uid is correct, adduser
    exits silently and thus makes it easier for postinsts to make sure
    that there will be a user with correct parameters. Closes: #79371.
  * deluser: security bug for option REMOVE_ALL_FILES fixed. rm was
    invoked insecurely, like system("rm $files"). rm is no longer used to
    delete files, but they are directly unlink()ed. Closes: #79526.
  * deluser: external find call for searching for the users files when
    using REMOVE_ALL_FILES is replaced through File::Find::find()
  * deluser: insecure calling of tar fixed. This was the same problem as
    with rm.

 -- Roland Bauerschmidt <rb@debian.org>  Sat, 25 Nov 2000 14:28:25 -0600

adduser (3.24) unstable; urgency=low

  * Depends on perl5 now. Yeah, finally we can do that. Closes: #76850
  * Added Debconf interface to configure the standard homedir
    permissions
  * Arghh. Priority finally changed to standard.

 -- Roland Bauerschmidt <rb@debian.org>  Mon, 13 Nov 2000 21:49:01 -0600

adduser (3.23) unstable; urgency=low

  * Downgraded priority to standard.
  * Integrated patch from Matt Kraai <kraai@alumni.carnegiemellon.edu>.
    Closes: #75915

 -- Roland Bauerschmidt <rb@debian.org>  Fri,  3 Nov 2000 18:07:29 -0600

adduser (3.22) unstable; urgency=low

  * Depends on perl-5.005-base instead of perl-base. Closes: #75679. 

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 26 Oct 2000 19:20:37 -0500

adduser (3.21) unstable; urgency=low

  * NSCD problems fixed. Adduser didn't invalidate the nscd group
    cache after adding the group for a system user.
    Closes: #68907, #70020, #65643
  * TODO now indicates that the development of /new/ features 
    happens in the adduser 4 tree now.

 -- Roland Bauerschmidt <rb@debian.org>  Wed, 25 Oct 2000 19:55:54 -0500

adduser (3.20) unstable; urgency=low

  * does not depend on perl5 anymore but on perl-base and suggests
    liblocale-gettext-perl. Closes: #72226.

 -- Roland Bauerschmidt <rb@debian.org>  Sat, 23 Sep 2000 03:38:07 -0500

adduser (3.19) unstable; urgency=low

  * Fixed path of nscd. Closes: #71011 

 -- Roland Bauerschmidt <rb@debian.org>  Wed,  6 Sep 2000 18:35:49 -0500

adduser (3.18) unstable; urgency=low

  * checks if nscd is running before trying to invalidate the cache,
    Closes: #70642, #69326

 -- Roland Bauerschmidt <rb@debian.org>  Thu, 31 Aug 2000 09:58:57 -0500

adduser (3.17) unstable; urgency=low

  * Fixed Build-Depends. Closes: #70067 

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 27 Aug 2000 19:03:13 -0500

adduser (3.16) unstable; urgency=low

  * Included Russian translation from Peter Novodvorsky <petya@logic.ru>
  * Changed reference to GPL from /usr/doc/copyright/GPL to
    /usr/share/common-licenses/GPL. Closes: #69014

 -- Roland Bauerschmidt <rb@debian.org>  Sun, 30 Jul 2000 14:26:34 +0200

adduser (3.15) unstable; urgency=low

  * deluser: perl is executed with -w now
  * system_call moved back from AdduserCommon.pm to adduser and deluser
    - system_call in adduser runs cleanup() on errors.
    - system_call in deluser dies on errors directly.
  * adduser: fixed the problem that adduser creates home with totally
    wrong permissions if adduser.conf is old (closes: #66583)

 -- Roland Bauerschmidt <rb@debian.org>  Fri, 16 Jun 2000 18:06:18 +0200

adduser (3.14) unstable; urgency=low

  * adduser has a better handling for nscd now. Instead of simply
    stopping nscd before changes and starting it again after changes,
    adduser invalidates the caches before and after changes now.
    (closes: #54726)
  * deluser invalidates nscd caches after changes, too.
  * new Portugese/Brazilian translation for adduser and deluser by
    Cesar Eduardo Barros <cesarb@nitnet.com.br>
  * adding and removing users to/from a group is now done with gpasswd
    instead of usermod. This prevents adduser and deluser from not
    adding "NISed" users to a group (closes: #57573)
  * functions used in both adduser and deluser moved to AdduserCommon.pm
  
 -- Roland Bauerschmidt <rb@debian.org>  Tue,  6 Jun 2000 12:24:46 +0200

adduser (3.13) unstable; urgency=low

  * Merged seperate .po-files for adduser and deluser into one
  * Added Brazilian translation for adduser (closes: #53912), thanks to
    Cesar Eduardo Barros <cesarb@web4u.com.br>
  * Added Spanish translation for adduser and deluser (closes: #44902),
    thanks to Nicolás Lichtmaier <nick@debian.org>
  * Added Korean translation for adduser (closes: #46836), thanks to
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
  * Worked patch from #52048 into adduser (closes: #52048)
  * Added deluser in SEE ALSO section of adduser's manpage (closes: #52508)
  * Don't create home directories for users with their own group per
    default setgid because this has some bad side effects. Can be set in
    /etc/adduser.conf with SETGID_HOME=yes (closes: #64806)
  * Started TODO list for all the things that still have to be done....

 -- Roland Bauerschmidt <rb@debian.org>  Sat, 04 Jun 2000 17:13:51 +0200

adduser (3.12) unstable; urgency=low

  * New Maintainer
  * corrected FSF address in adduser and deluser source
  * fixed function that checks if the user already exists (closes: #54512)
  * allow dashes in usernames without using --force-badname (closes: #53788)
  * ability to set a global mode for creating directories in variable
    DIR_MODE in adduser.conf (closes: #29389)

 -- Roland Bauerschmidt <roland@copyleft.de>  Sat, 20 May 2000 14:16:20 +0200

adduser (3.11.2) unstable; urgency=low

  * NMU
  * new tool 'deluser' to remove users the same way like adding them
  * manpage for deluser(8) and deluser.conf(5)
  * translation of adduser and deluser to German
  * fixed bug that uid and gid 0 were not recognised (closes: #59859, #60491,
    #50620, #56468, #53606)
  * text "enter groupname" instead of "enter username" if adding a group
    (closes: #52701)
  * also allowing usernames like foo$ with --force-badname for compatibility
    with Samba machine accounts (closes: #28149)
  * allow also setting full gecos fields with --gecos like
    "Roland Bauerschmidt,Room 3,0421/3763482,0421/373545" (closes: #44031)
  * last NMU has already fixed bug 44810 (closes: #44810)
  * corrected FSF address in debian/copyright
  * moved manpages from /usr/man to /usr/share/man (closes: #53913)

 -- Roland Bauerschmidt <roland@copyleft.de>  Sat,  6 May 2000 21:54:57 +0200

adduser (3.11.1) unstable; urgency=low

  * NMU for bugsquash, pre potato freeze
  * eval for POSIX to catch errors
  * /usr/doc -> /usr/share/doc

 -- Ben Collins <bcollins@debian.org>  Sat, 30 Oct 1999 20:54:32 -0400

adduser (3.11) unstable; urgency=low

  * fix behavior when Locale::gettext is unavailable.
  * start & stop nscd, closes: #40918, #36607.

 -- Guy Maor <maor@debian.org>  Sun, 29 Aug 1999 17:37:17 -0700

adduser (3.10) unstable; urgency=low

  * Test for home dir existence with -e, closes: #43364.
  * Make "addgroup --system" behave as "adduser --group", closes: #43345.
  * In manpage, explain difference between adduser,addgroup and
    useradd,groupadd, closes: #22820.

 -- Guy Maor <maor@debian.org>  Sun, 29 Aug 1999 11:07:18 -0700

adduser (3.9) unstable; urgency=low

  * Don't chmod symlinks, closes: #26850, #40250.
  * Allow negative uids, gids (for Hurd), closes: #39679.
  * --no-create-home option, closes: #39679.
  * I18N, thanks to Akira Yoshiyama <yosshy@debian.or.jp> and
    Raphael Hertzog <rhertzog@hrnet.fr>, closes: #33680.
  * Don't depend on perl-base, closes: #42543.
  * Be interactive, closes: #43012, #40671.

 -- Guy Maor <maor@debian.org>  Thu, 26 Aug 1999 21:39:59 -0700

adduser (3.8) unstable; urgency=low

  * Depend on perl-base instead of perl (16008).
  * Allow single letter names (16200).

 -- Guy Maor <maor@ece.utexas.edu>  Sun, 11 Jan 1998 02:11:25 -0800

adduser (3.7) unstable; urgency=low

  * Add --conf option.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 23 Aug 1997 13:52:25 -0500

adduser (3.6) stable unstable; urgency=high

  * Fixed adduser --system. (#11627)

 -- Guy Maor <maor@ece.utexas.edu>  Wed, 30 Jul 1997 22:34:50 -0500

adduser (3.5) stable unstable; urgency=HIGH

  * Changes since 3.2: (3.4 didn't make it to stable)
        * fixed behavior when grouphomes=yes (#10422, #11345).
        * don't do shell expansion on system() calls (#10425).
        * copy to skel copies entire file (#10399, #10806)
  * Turned debugging flag off (oops). (#10963)
  * Clean up on interrupts and errors. (#10965)

 -- Guy Maor <maor@ece.utexas.edu>  Fri, 25 Jul 1997 02:09:29 -0500

adduser (3.4) stable unstable; urgency=HIGH

  * fixed behavior when grouphomes=yes (#10422).
  * don't do shell expansion on system() calls (#10425).
  * copy to skel copies entire file (#10399)

 -- Guy Maor <maor@ece.utexas.edu>  Tue, 10 Jun 1997 10:45:30 -0500

adduser (3.2) frozen unstable; urgency=low

  * Corrected bug exposed by perl 5.004 (#10010).
  * Setting SKEL="" will prevent skeleton file copy. (#9997).

 -- Guy Maor <maor@ece.utexas.edu>  Fri, 23 May 1997 15:29:46 -0500

adduser (3.1) frozen unstable; urgency=high

  * Calls passwd utilities to actually do the work (so works with shadow).
  * Conforms to new UID & GID allocation standard.
  * Removed deluser, delgroup, adduserperm.  Use userdel and groupdel.
  * /etc/skel can deal with symlinks.  directories are g+s if usergroups=yes.
  * Has support for quotas.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 17 May 1997 12:21:46 -0500

adduser (2.13) stable unstable; urgency=high

  * /etc/adduser.conf added as a conffile

 -- Christoph Lameter <clameter@debian.org>  Tue, 17 Dec 1996 10:42:10 -0800

adduser (2.12) stable unstable; urgency=high

  * debmakisiert.
  * Fixed dependencies. Removed stupid script.
  * Maintainer address changed to maor@debian.org

 -- Christoph Lameter <clameter@debian.org>  Tue, 17 Dec 1996 07:36:16 -0800

adduser (2.11) unstable; urgency=high

  * Some fixes to the deluser and delgroup scripts
  * More fixes to the adduserperm script

 -- Christoph Lameter <clameter@debian.org>  Wed, 25 Sep 1996 09:00:00 +0800

adduser (2.10) unstable; urgency=medium

  * These are severe changes to adduser. Please test before using!
  * Manpage adduser.8 updated to describe the purpose of /usr/local/sbin/adduser.local
  * Add --gecos and --passwd option for adduser
  * Add --uid and --gid options for adduser and addgroup
  * Add a script called adduserperm to set up the permissions on who can
    create new users.
  * Bug: addgroup left the password field in /etc/group empty.
  * Added deluser and delgroup scripts. Very primitive right now.

 -- Christoph Lameter <clameter@debian.org>  Tue, 24 Sep 1996 09:00:00 +0800

adduser (2.00) unstable; urgency=medium

  * New Maintainer
  * New Standards 2.1.0.0 simplifying and reducing files
  * Removed obsolete stuff
  * Fix bug #3878, #3794, #3879, #3861, #3490

 -- Christoph Lameter <clameter@debian.org>  Sun, 22 Sep 1996 09:00:00 +0800

Wed May 29 10:11:38 CDT 1996	Steve Phillips  <sjp@cvfn.org>  

	* Added part of patch from Miquel van Smoorenburg
		<miquels@cistron.nl> that I missed somehow.

Fri May 17 16:48:28 CDT 1996  	Steve Phillips  <sjp@cvfn.org>  

	* Added patch from Miquel van Smoorenburg <miquels@cistron.nl> 
		Fixes Bug#2286 and Bug#3017

	* Updated adduser manpage for --ingroup option

	* Added --ingroup option to addsysuser task as well as
		adduser.

Thu May 16 14:31:42 MET DST 1996  Miquel van Smoorenburg <miquels@cistron.nl>

	* Added new command line option --ingroup

	* Added options to adduser.conf to allow homedirectory
	  construct of /home/u/user or /home/users/user

	* Default NIS entry (+::::::) was not kept at the end

Tue May  7 14:09:30 CDT 1996	Steve Phillips	<sjp@cvfn.org>

	* Finished fixing Bug #1534

	* Fixed Bug #2285

	* Fixed Bug #2361

	* Changed man pages so they get their version numbers plugged
	  in from the makefile

	* Fixed some minor perl syntax errors

Tue Oct 24 22:21:29 1995  Sven Rudolph  <sr1@inf.tu-dresden.de>

	* uploaded files were incorrect, therefore reuploading

	* debian.Changelog: corrected a description

	* debian.control: added Section: field

Mon Oct 23 22:16:19 1995  Sven Rudolph  <sr1@inf.tu-dresden.de>

	* Makefile: moved symlink creation from postinst/prerm into 
		    the build stage

	* debian.postinst, debian.prerm: deleted
	
	* adduser.8: changed documentation for --home feature

	* adduser.pl: fixed some file locking races (Bug#1720)

	* adduser.pl: create home directory with setgid bit when 
		      using usergroups (Bug#1544)

	* adduser.pl: corrected permissions for copies of /etc/skel
		      files (Bug#1544)

	* adduser.pl: run /usr/local/sbin/adduser.local if it exists
		      (patch for this feature provided in Bug#1544)

	* adduser.pl: now always does chown before chmod
		      (Bug#1544, Bug#1720)

	* adduser.pl: now correctly copies dot files from /etc/skel
		      (Bug#1500)

	* adduser.pl: now gives informative message when called from
		      a non-root user (Bug#1350)

	* adduser.pl: enforces that user names are never longer than
                      8 characters (Bug#1241)

	* adduser.pl: now copies everything below /etc/skel (Bug#1542)
